=== src/backend/port/Makefile ===
# Generated automatically from Makefile.in by configure.
#-------------------------------------------------------------------------
#
# Makefile--
#    Makefile for the port-specific subsystem of the backend
#
# We have two different modes of operation: 1) put stuff specific to Port X
# in subdirectory X and have that subdirectory's make file make it all, and 
# 2) use conditional statements in the present make file to include what's
# necessary for a specific port in our own output.  (1) came first, but (2)
# is superior for many things, like when the same thing needs to be done for
# multiple ports and you don't want to duplicate files in multiple 
# subdirectories.  Much of the stuff done via Method 1 today should probably
# be converted to Method 2.  
#
# IDENTIFICATION
#    $Header: /usr/local/cvsroot/pgsql/src/backend/port/Makefile.in,v 1.16 1998/04/06 00:24:10 momjian Exp $
#
#-------------------------------------------------------------------------

SRCDIR=../..
include ../../Makefile.global

CFLAGS+= -I..

OBJS = dynloader.o    
OBJS+=      
OBJS+=  
all: SUBSYS.o

SUBSYS.o: $(OBJS)
	$(LD) -r -o SUBSYS.o $(OBJS)

.PHONY: clean dep

distclean clean:
	rm -f SUBSYS.o $(OBJS)

depend dep:
	$(CC) -MM $(CFLAGS) *.c >depend

ifeq (depend,$(wildcard depend))
include depend
endif
