=== src/bin/pg_version/Makefile ===
# Generated automatically from Makefile.in by configure.
#-------------------------------------------------------------------------
#
# Makefile.inc--
#    Makefile for bin/pg_version
#
# Copyright (c) 1994, Regents of the University of California
#
#
# IDENTIFICATION
#    $Header: /usr/local/cvsroot/pgsql/src/bin/pg_version/Makefile.in,v 1.5 1998/04/06 16:51:27 momjian Exp $
#
#-------------------------------------------------------------------------

SRCDIR= ../..
include ../../Makefile.global

OBJS= pg_version.o ../../utils/version.o 

CFLAGS+= -I$(SRCDIR)/include

all: pg_version

pg_version: submake $(OBJS)
	$(CC) -o pg_version $(OBJS) $(LDFLAGS)

.PHONY: submake
submake:
	$(MAKE) -C ../../utils version.o

install: pg_version
	$(INSTALL) $(INSTL_EXE_OPTS) pg_version $(BINDIR)/pg_version

depend dep:
	$(CC) -MM $(CFLAGS) *.c >depend

clean: 
	rm -f pg_version pg_version.o

ifeq (depend,$(wildcard depend))
include depend
endif
