=== src/bin/psql/Makefile ===
# Generated automatically from Makefile.in by configure.
#-------------------------------------------------------------------------
#
# Makefile.inc--
#    Makefile for bin/psql
#
# Copyright (c) 1994, Regents of the University of California
#
#
# IDENTIFICATION
#    $Header: /usr/local/cvsroot/pgsql/src/bin/psql/Makefile.in,v 1.11 1998/04/06 16:51:44 momjian Exp $
#
#-------------------------------------------------------------------------

SRCDIR= ../..
include ../../Makefile.global

CFLAGS:= -I$(LIBPQDIR) $(CFLAGS)

#
# And where libpq goes, so goes the authentication stuff...
#
ifdef KRBVERS
LDFLAGS+= $(KRBLIBS)
CFLAGS+= $(KRBFLAGS)
endif

OBJS= psql.o stringutils.o  

all: submake psql

psql: $(OBJS) $(LIBPQDIR)/libpq.a
	$(CC) -o psql -L$(LIBPQDIR) $(OBJS) -lpq $(LDFLAGS)

../../utils/strdup.o:
	$(MAKE) -C ../../utils strdup.o

.PHONY: submake
submake:
	$(MAKE) -C $(LIBPQDIR) libpq.a

install: psql
	$(INSTALL) $(INSTL_EXE_OPTS) psql $(BINDIR)/psql

depend dep:
	$(CC) -MM $(CFLAGS) *.c >depend

clean: 
	rm -f psql $(OBJS) 

ifeq (depend,$(wildcard depend))
include depend
endif
