=== debian/changelog ===
postgresql-slink (6.3.2) frozen; urgency=high

  * Package hacked from postgresql 6.3.2-15 solely for the purpose of
    easing the upgrade to potato (6.5.3)

 -- Oliver Elphick <Oliver.Elphick@lfix.co.uk>  Fri, 23 May 2000 15:06:41 +0100
