=== debian/control ===
Source: postgresql-slink
Section: misc
Priority: optional
Maintainer: Oliver Elphick <Oliver.Elphick@lfix.co.uk>
Standards-Version: 3.1.0.0

Package: postgresql-slink
Architecture: any
Depends: ${shlibs:Depends}
Requires: postgresql (>= 6.5.3-19, <<7.0)
Description: Package to ease upgrade of postgresql from Debian 2.1 to 2.2
 This package is required for the upgrade of data from postgresql 6.3.2
 on Debian 2.1 (slink) to Debian 2.2 (potato).
 .
 As soon as the data is successfully upgraded, this poackage should be
 removed.  It will not be required again.  It contains 6.3.2 bianries
 that are needed to read the data from a 6.3.2 database and dump it out
 for 6.5.3 to update.
